=== debian/changelog ===
ompl (1.4.2+ds1-6) unstable; urgency=medium

  * Fix python depends field
  * Added patch to solve find Python 3.8
  * Added patch to fix compilation error with Boost 1.71. Closes: #953873
  * Fix Python 3 stuff
  * Added R³ rule
  * Bump to debhelper 12
  * Bump Standards. No changes
  * Simplify d./rules

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 05 Jun 2020 11:33:48 +0200

ompl (1.4.2+ds1-5) unstable; urgency=medium

  * Added r-cran-shinyjs, r-cran-v8, r-cran-dbplyr dependencies
    to ompl-plannerarena package.
  * Moves to Python3. Closes: #945678

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 25 Dec 2019 20:42:51 +0100

ompl (1.4.2+ds1-4) unstable; urgency=medium

  * Changed maintainer patch to upstream patch to solve pkg-config bug.
  * Changed libode-dev Suggest in libompl-dev to dependency. Closes: #931000

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 25 Jun 2019 10:21:42 +0200

ompl (1.4.2+ds1-3) unstable; urgency=medium

  * Add a patch to fix the pkg (.pc) file as bug said. Closes: #930507
  * Add a clean rule to delete generated files.
  * Drop CMAKE_INSTALL_LIBDIR parameter. It's obtained by CMAKE.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 17 Jun 2019 15:08:41 +0200

ompl (1.4.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Remove wrong MA hint (according to hinter)
  * Add missing dependency (Closes: #930507)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 16 Jun 2019 10:34:15 +0200

ompl (1.4.2+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 11 Feb 2019 12:55:56 +0100

ompl (1.4.0+ds1-4) unstable; urgency=medium

  * Rebuild version to unstable.
  * Make secure copyright format uri
  * Cleaned trailing whitespace

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 27 Oct 2018 19:49:34 +0200

ompl (1.4.0+ds1-3) experimental; urgency=medium

  * Fixed missing Breaks and Replaces: ompl-demos (<< 1.4). Closes: #909126
    Too much creative syntax :-(

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 25 Oct 2018 08:40:52 +0200

ompl (1.4.0+ds1-2) experimental; urgency=medium

  * Closes: #909126. Fixed missing Breaks+Replaces: ompl-demos (<< 1.4)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 19 Sep 2018 17:49:27 +0200

ompl (1.4.0+ds1-1) experimental; urgency=medium

  * New upstream version.
  * Upgrading to the new version of ompl
  * Updating patches
  * Update copyright. Thx decopy
  * Drop old file
  * New package. ompl-plannerarena to test planners.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 08 Sep 2018 18:14:15 +0200
