=== debian/control ===
Source: ompl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               cmake,
               dh-exec,
               libboost-date-time-dev,
               libboost-thread-dev,
               libboost-serialization-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-program-options-dev,
               libboost-test-dev,
	       libboost-python-dev,
               libode-dev,
	       libeigen3-dev,
	       pkg-config,
               libflann-dev,
	       r-base-core,
	       dh-python,
	       python3-all
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/ompl
Vcs-Git: https://salsa.debian.org/science-team/ompl.git
Homepage: http://ompl.kavrakilab.org

Package: libompl-dev
Architecture: any
Section: libdevel
Depends: libompl15 (= ${binary:Version}),
         ${misc:Depends},
         libboost-dev,
         libeigen3-dev,
	 libode-dev
Suggests: pkg-config
Description: Open Motion Planning Library (OMPL) development files
 The Open Motion Planning Library is a set of sampling-based motion
 planning algorithms. The content of the library is limited to these
 algorithms, which means there is no environment specification, no
 collision detection, and no visualization. The library is designed so
 it can be easily integrated into systems that provide those
 additional components. This package contains the development files
 needed to use the library.

Package: libompl15
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open Motion Planning Library (OMPL)
 The Open Motion Planning Library is a set of sampling-based motion
 planning algorithms. The content of the library is limited to these
 algorithms, which means there is no environment specification, no
 collision detection, and no visualization. The library is designed so
 it can be easily integrated into systems that provide those
 additional components.  This package contains the library itself.

Package: ompl-demos
Multi-Arch: foreign
Architecture: all
Section: science
Depends: ${misc:Depends},
         ${python3:Depends},
         python3,
         python3-matplotlib,
         libompl-dev
Description: Open Motion Planning Library (OMPL) demos
 The Open Motion Planning Library is a set of sampling-based motion
 planning algorithms. The content of the library is limited to these
 algorithms, which means there is no environment specification, no
 collision detection or visualization. The library is designed so it
 can be easily integrated into systems that provide the additional
 needed components.  This package contains a set of demos of the
 library.

Package: ompl-plannerarena
Multi-Arch: foreign
Architecture: all
Breaks: ompl-demos (<< 1.4)
Replaces: ompl-demos (<< 1.4)
Section: science
Depends: ${misc:Depends}, r-base-core, r-cran-shiny, r-cran-dplyr,
	r-cran-tidyr, r-cran-ggplot2, r-cran-hmisc, r-cran-rsqlite,
	r-cran-markdown, ruby, r-cran-shinyjs, r-cran-v8, r-cran-dbplyr
Description: Open Motion Planning Library (OMPL) plannerarena
 The Open Motion Planning Library is a set of sampling-based motion
 planning algorithms. The content of the library is limited to these
 algorithms, which means there is no environment specification, no
 collision detection or visualization. The library is designed so it
 can be easily integrated into systems that provide the additional
 needed components.
 .
 This package contains an script that launches a web server locally
 to analyze SQLite3 benchmark databases. The benchmark databases are
 created with ompl_benchmark_statistics library.
