## ompl 1.5.2%2Bds1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Boost 1.54 QUIET COMPONENTS unit_test_framework)
+find_package(Boost 1.58 QUIET COMPONENTS unit_test_framework)
 if(Boost_UNIT_TEST_FRAMEWORK_LIBRARY)
     option(OMPL_BUILD_TESTS "Build OMPL tests" ON)
 else()
@@ -6,22 +6,18 @@
 endif()
 add_feature_info(OMPL_BUILD_TESTS "${OMPL_BUILD_TESTS}" "Whether to build the unit tests.")
 
-# configure location of resources (which are used by some demos, so this needs
-# to be outside of if-statement below)
-file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/resources" TEST_RESOURCES_DIR)
-if(WIN32)
-    # Correct directory separator for Windows
+if (OMPL_BUILD_TESTS)
+    file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/resources" TEST_RESOURCES_DIR)
     string(REPLACE "\\" "\\\\" TEST_RESOURCES_DIR "${TEST_RESOURCES_DIR}")
-endif(WIN32)
-configure_file("${TEST_RESOURCES_DIR}/config.h.in" "${TEST_RESOURCES_DIR}/config.h")
+    add_definitions(-DTEST_RESOURCES_DIR=\"${TEST_RESOURCES_DIR}\")
 
-if (OMPL_BUILD_TESTS)
     # Test datastructures implementation
+    add_ompl_test(test_adjacency_list datastructures/adjacency_list.cpp)
     add_ompl_test(test_heap datastructures/heap.cpp)
     add_ompl_test(test_grid datastructures/grid.cpp)
     add_ompl_test(test_gridb datastructures/gridb.cpp)
     add_ompl_test(test_nearestneighbors datastructures/nearestneighbors.cpp)
-    if(FLANN_FOUND)
+    if(flann_FOUND)
         target_link_libraries(test_nearestneighbors ${FLANN_LIBRARIES})
     endif()
     add_ompl_test(test_pdf datastructures/pdf.cpp)
@@ -34,6 +30,7 @@
     endif()
 
     # Test base code
+    add_ompl_test(test_halton_sampling base/halton_deterministic_sampling.cpp)
     add_ompl_test(test_state_operations base/state_operations.cpp)
     add_ompl_test(test_state_spaces base/state_spaces.cpp)
     add_ompl_test(test_state_storage base/state_storage.cpp)
