=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               dh-exec,
                libboost-date-time-dev,
                libboost-thread-dev,
                libboost-serialization-dev,
@@ -21,16 +20,17 @@
                libflann-dev,
 	       r-base-core,
 	       dh-python,
-	       python3-all
-Standards-Version: 4.5.0
+	       python3-all,
+	       dh-sequence-python3
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ompl
 Vcs-Git: https://salsa.debian.org/science-team/ompl.git
-Homepage: http://ompl.kavrakilab.org
+Homepage: https://ompl.kavrakilab.org
 
 Package: libompl-dev
 Architecture: any
 Section: libdevel
-Depends: libompl15 (= ${binary:Version}),
+Depends: libompl16 (= ${binary:Version}),
          ${misc:Depends},
          libboost-dev,
          libeigen3-dev,
@@ -45,7 +45,7 @@
  additional components. This package contains the development files
  needed to use the library.
 
-Package: libompl15
+Package: libompl16
 Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
